Loading...
Searching...
No Matches
ARC_ConsoleElement Struct Reference

`#include <element.h>`

## Data Fields

uint32_t | type
uint8_t | flags
ARC_String * | string
ARC_Point | pos
ARC_ConsoleElement_RenderFn | renderFn

## Detailed Description

Definition at line 27 of file element.h.

## Field Documentation

## flags

uint8_t ARC_ConsoleElement::flags

Definition at line 29 of file element.h.

## pos

ARC_Point ARC_ConsoleElement::pos

Definition at line 32 of file element.h.

## renderFn

ARC_ConsoleElement_RenderFn ARC_ConsoleElement::renderFn

Definition at line 34 of file element.h.

## string

ARC_String* ARC_ConsoleElement::string

Definition at line 30 of file element.h.

## type

uint32_t ARC_ConsoleElement::type

Definition at line 28 of file element.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/console/element.h